<?php if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가 ?>

<?php if(!$is_admin && $is_name) { ?>
	if(wrTrim(f.wr_name.value) == "") {
		alert("이름을 입력해 주세요.");
		f.wr_name.focus();
		return false;
	}
<?php } ?>

<?php if(!$is_admin && $is_password) { ?>
	if(wrTrim(f.wr_password.value) == "") {
		alert("패스워드를 입력해 주세요.");
		f.wr_password.focus();
		return false;
	}
<?php } ?>

<?php if ($is_category) { ?>
	if(wrTrim(f.ca_name.value) == "") {
		alert("분류를 선택해 주세요.");
		f.ca_name.focus();
		return false;
	}
<?php } ?>

if(wrTrim(f.wr_subject.value) == "") {
	alert("글제목을 입력해 주세요.");
	f.wr_subject.focus();
	return false;
}

<?php 
if(!$is_admin) {
	$write_limit_ext = str_replace(' ', '', trim($set['write_limit_ext']));
	if($write_limit_ext && $set['write_file_sure']) { 
	?>
		var Format= "\.(<?php echo str_replace(',', '|', $write_limit_ext); ?>)$";
		var n = 0;
		var z = 0;
		<?php if($is_uploader_script) { //swfuploader ?>
			var sel_Format;
			for(var i = 0; i < $("#uploaded_file_list option").size(); i++){ 
				if($("#uploaded_file_list option").size() == ""){ 
					alert("확장자가 <?php echo $write_limit_ext; ?>인 파일을 반드시 첨부하셔야 합니다.");
					return false;
				} else {
					sel_Format = $("#uploaded_file_list option").eq(i).val().split("|");
					if((new RegExp(Format, "i")).test(sel_Format[1])){
						n++;
					} else {
						z++;
					}
				}
			} 	
		<?php } else { ?>
			for(var i = 0; i < $("input[type=file]").length; i++){ 
				if($("input[type=file]").val() == ""){ 
					alert("확장자가 <?php echo $write_limit_ext; ?>인 파일을 반드시 첨부하셔야 합니다.");
					return false;
				} else {
					if((new RegExp(Format, "i")).test($("input[type=file]").eq(i).val())){
						n++;
					} else {
						z++;
					}
				}
			} 	
		<?php } ?>
		<?php if($w != "u") { ?>
			if(n < 1) {
				alert("확장자가 <?php echo $write_limit_ext; ?>인 파일만 첨부가능합니다.");
				return false;
			}
		<?php } ?>
	<?php } else if($write_limit_ext && !$set['write_file_sure']) { ?>
		var Format= "\.(<?php echo str_replace(',', '|', $write_limit_ext); ?>)$";
		var n = 0;
		var z = 0;
		<?php if($is_uploader_script) { //swfuploader ?>
			var sel_Format;
			for(var i = 0; i < $("#uploaded_file_list option").size(); i++){ 
				if($("#uploaded_file_list option").size() == ""){ 
					;
				} else {
					sel_Format = $("#uploaded_file_list option").eq(i).val().split("|");
					if((new RegExp(Format, "i")).test(sel_Format[1])){
						n++;
					} else {
						z++;
					}
				}
			} 	
		<?php } else { ?>
			for(var i = 0; i < $("input[type=file]").length; i++){ 
				if($("input[type=file]").val() == ""){ 
					;
				} else {
					if((new RegExp(Format, "i")).test($("input[type=file]").eq(i).val())){
						n++;
					} else {
						z++;
					}
				}
			} 	
		<?php } ?>
		<?php if($w != "u") { ?>
			if(z > 0 && n < 1) {
				alert("확장자가 <?php echo $write_limit_ext; ?>인 파일만 첨부가능합니다.");
				return false;
			}
		<?php } ?>
	<?php } else if(!$write_limit_ext && $set['write_file_sure'] && $w != "u") { ?>
		<?php if($is_uploader_script) { //swfuploader ?>
			if($("#uploaded_file_list option").size() == ""){ 
				alert("파일을 반드시 첨부하셔야 합니다.");
				return false;
			} 
		<?php } else { ?>
			if($("input[type=file]").val() == ""){ 
				alert("파일을 반드시 첨부하셔야 합니다.");
				return false;
			} 	
		<?php } ?>
	<?php } ?>
<?php } ?>

<?php if($set['write_summary']) { ?>
	var po_cnt = parseInt(document.getElementById('po_summary').innerHTML);
	if (po_cnt > 250) {
		alert("요약글은 250글자 이하로 쓰셔야 합니다.");
		return false;
	}
<?php } ?>
